Bug 722904 - [abrt] blueman-1.21-7.fc15: pickle.py:858:load:KeyError: 'x'
[abrt] blueman-1.21-7.fc15: pickle.py:858:load:KeyError: 'x'
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-07-18 08:55 EDT by Santiago Lunar
Modified: 2012-08-07 13:33 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 13:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Santiago Lunar 2011-07-18 08:55:16 EDT
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/blueman-manager
comment:        Tratando de conectar el modem via bluetooth
component:      blueman
executable:     /usr/bin/blueman-manager
os_release:     Fedora release 15 (Lovelock)
package:        blueman-1.21-7.fc15
reason:         pickle.py:858:load:KeyError: 'x'
time:           Mon Jul 18 08:24:38 2011
uid:            500
username:       santiago

:pickle.py:858:load:KeyError: 'x'
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/Sdp.py", line 280, in on_sdp_changed
:    s = pickle.loads(base64.b64decode(value))
:  File "/usr/lib/python2.7/pickle.py", line 1382, in loads
:    return Unpickler(file).load()
:  File "/usr/lib/python2.7/pickle.py", line 858, in load
:    dispatch[key](self)
:KeyError: 'x'
:Local variables in innermost frame:
:read: <built-in method read of cStringIO.StringI object at 0x85886c8>
:self: <pickle.Unpickler instance at 0x86af62c>
:dispatch: {'': <function load_eof at 0x83df17c>, '\x80': <function load_proto at 0x83df1b4>, '\x83': <function load_ext2 at 0x83df95c>, '\x82': <function load_ext1 at 0x83df924>, '\x85': <function load_tuple1 at 0x83df684>, '\x84': <function load_ext4 at 0x83df994>, '\x87': <function load_tuple3 at 0x83df6f4>, '\x86': <function load_tuple2 at 0x83df6bc>, '\x89': <function load_false at 0x83df294>, '\x88': <function load_true at 0x83df2cc>, '\x8b': <function load_long4 at 0x83df454>, '\x8a': <function load_long1 at 0x83df41c>, '\x81': <function load_newobj at 0x83df8b4>, ')': <function load_empty_tuple at 0x83df64c>, '(': <function load_mark at 0x83dfd84>, '.': <function load_stop at 0x83dfdbc>, '1': <function load_pop_mark at 0x83dfaac>, '0': <function load_pop at 0x83dfa74>, '2': <function load_dup at 0x83dfae4>, 'G': <function load_binfloat at 0x83df4c4>, 'F': <function load_float at 0x83df48c>, 'I': <function load_int at 0x83df304>, 'K': <function load_binint1 at 0x83df374>, 'J': <function load_binint at 0x83df33c>, 'M': <function load_binint2 at 0x83df3ac>, 'L': <function load_long at 0x83df3e4>, 'N': <function load_none at 0x83df25c>, 'Q': <function load_binpersid at 0x83df224>, 'P': <function load_persid at 0x83df1ec>, 'S': <function load_string at 0x83df4fc>, 'R': <function load_reduce at 0x83dfa3c>, 'U': <function load_short_binstring at 0x83df5dc>, 'T': <function load_binstring at 0x83df534>, 'V': <function load_unicode at 0x83df56c>, 'X': <function load_binunicode at 0x83df5a4>, ']': <function load_empty_list at 0x83df72c>, 'a': <function load_append at 0x83dfc6c>, 'c': <function load_global at 0x83df8ec>, 'b': <function load_build at 0x83dfd4c>, 'e': <function load_appends at 0x83dfca4>, 'd': <function load_dict at 0x83df7d4>, 'g': <function load_get at 0x83dfb1c>, 'i': <function load_inst at 0x83df844>, 'h': <function load_binget at 0x83dfb54>, 'j': <function load_long_binget at 0x83dfb8c>, 'l': <function load_list at 0x83df79c>, 'o': <function load_obj at 0x83df87c>, 'q': <function load_binput at 0x83dfbfc>, 'p': <function load_put at 0x83dfbc4>, 's': <function load_setitem at 0x83dfcdc>, 'r': <function load_long_binput at 0x83dfc34>, 'u': <function load_setitems at 0x83dfd14>, 't': <function load_tuple at 0x83df614>, '}': <function load_empty_dictionary at 0x83df764>}
:key: 'x'
Comment 1 Chito Tuason 2011-09-17 23:50:49 EDT
Package: blueman-1.21-8.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

refreshing bluetooth service of a device
Comment 2 Weparo 2011-11-16 23:20:37 EST
Package: blueman-1.21-10.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

paired my android 2.2 samsung galaxy s (1)
Comment 3 Weparo 2011-11-18 16:35:52 EST
Package: blueman-1.21-10.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

happens if you try to setup a serial connection it shows that message and it fails to connect
Comment 4 JAlberto 2012-01-25 15:32:20 EST
open blueman and update services with right click menu in a mobile

Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 5 Fedora End Of Life 2012-08-07 13:33:16 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.